Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057927 - Win2012r2 stuck after first reboot during os installation
Summary: Win2012r2 stuck after first reboot during os installation
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
Jiri Herrmann
URL:
Whiteboard:
Depends On: 1065212
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 02:51 UTC by ShupingCui
Modified: 2016-01-26 09:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-26 09:53:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
debug file (deleted)
2014-01-26 02:54 UTC, ShupingCui
no flags Details

Description ShupingCui 2014-01-26 02:51:29 UTC
Description of problem:
Win2012r2 stuck after first reboot during os installation

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-41.el7.x86_64
kernel-3.10.0-78.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install win2012r2 guest
/usr/libexec/qemu-kvm \
    -name 'virt-tests-vm1'  \
    -sandbox off  \
    -M pc-i440fx-rhel7.0.0  \
    -nodefaults  \
    -vga qxl  \
    -global qxl-vga.vram_size=33554432 \
    -device intel-hda,bus=pci.0,addr=03 \
    -device hda-duplex  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20140124-173705-i2RuDbKz,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20140124-173705-i2RuDbKz,server,nowait \
    -device isa-serial,chardev=serial_id_serial0 \
    -device virtio-serial-pci,id=virtio_serial_pci0,bus=pci.0,addr=04  \
    -chardev socket,id=devvs,path=/tmp/virtio_port-vs-20140124-173705-i2RuDbKz,server,nowait \
    -device virtserialport,chardev=devvs,name=vs,id=vs,bus=virtio_serial_pci0.0  \
    -chardev socket,id=seabioslog_id_20140124-173705-i2RuDbKz,path=/tmp/seabios-20140124-173705-i2RuDbKz,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20140124-173705-i2RuDbKz,iobase=0x402 \
    -device nec-usb-xhci,id=usb1,bus=pci.0,addr=05 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,bus=pci.0,addr=06 \
    -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64-virtio.qcow2 \
    -device scsi-hd,id=image1,drive=drive_image1 \
    -device virtio-net-pci,mac=9a:4b:4c:4d:4e:4f,id=idgRG6fp,netdev=idnz3mMB,bus=pci.0,addr=07  \
    -netdev tap,id=idnz3mMB,vhost=on,vhostfd=28,fd=27  \
    -m 2048  \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2  \
    -cpu 'Penryn',+kvm_pv_unhalt,hv_relaxed,hv_spinlocks=0x1fff,hv_vapic \
    -drive id=drive_cd1,if=none,snapshot=off,aio=native,media=cdrom,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/ISO/Win2012R2/en_windows_server_2012_r2_x64_dvd_2707946.iso \
    -device ide-cd,id=cd1,drive=drive_cd1,bus=ide.0,unit=0 \
    -drive id=drive_winutils,if=none,snapshot=off,aio=native,media=cdrom,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/windows/winutils.iso \
    -device ide-cd,id=winutils,drive=drive_winutils,bus=ide.0,unit=1 \
    -drive id=drive_virtio,if=none,snapshot=off,aio=native,media=cdrom,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/windows/virtio-win.latest_prewhql.iso \
    -device ide-cd,id=virtio,drive=drive_virtio,bus=ide.1,unit=0 \
    -drive id=drive_fl,if=none,cache=none,snapshot=off,readonly=off,aio=native,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64/answer.vfd \
    -global isa-fdc.driveA=drive_fl \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -spice port=3000,password=123456,addr=0,tls-port=3200,x509-dir=/tmp/spice_x509d,tls-channel=main,tls-channel=inputs,image-compression=auto_glz,zlib-glz-wan-compression=auto,streaming-video=all,agent-mouse=on,playback-compression=on,ipv4  \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off \
    -enable-kvm
2.
3.

Actual results:
Win2012r2 stuck after first reboot

Expected results:
installation finished successfully, not stuck

Additional info:
1. this issue only meet on some host(like: intel-q9550-4-1, intel-3323-24-1)
intel-q9550-4-1 host cpu info:
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
stepping	: 10
microcode	: 0xa0b
cpu MHz		: 2000.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 5652.84
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

intel-3323-24-1 host cpu info:
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           X3323  @ 2.50GHz
stepping	: 10
microcode	: 0xa0b
cpu MHz		: 2000.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm dca sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 4999.93
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

2. registers infos:
before stuck:
(qemu) info registers 
RAX=0000000000fd13e7 RBX=00000000378439cf RCX=ffffffffffd0cbc0 RDX=000000000000b008
RSI=0000000000000000 RDI=ffffffffffd0ca70 RBP=ffffffffffe8667a RSP=fffff80168960a18
R8 =00000000ffffffff R9 =0000000000000001 R10=0000000000000002 R11=0000000000000000
R12=0000000037e3437c R13=ffffe000007a9260 R14=fffff801659b5afc R15=0000000000000000
RIP=fffff801659b5b7d RFL=00000212 [----A--] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =002b 0000000000000000 ffffffff 00c0f300 DPL=3 DS   [-WA]
CS =0010 0000000000000000 00000000 00209b00 DPL=0 CS64 [-RA]
SS =0018 0000000000000000 ffffffff 00c09300 DPL=0 DS   [-WA]
DS =002b 0000000000000000 ffffffff 00c0f300 DPL=3 DS   [-WA]
FS =0053 0000000075284000 00003c00 0040f300 DPL=3 DS   [-WA]
GS =002b fffff80165507000 ffffffff 00c0f300 DPL=3 DS   [-WA]
LDT=0000 0000000000000000 ffffffff 00000000
TR =0040 fffff80168959080 00000067 00008b00 DPL=0 TSS64-busy
GDT=     fffff80168958000 0000007f
IDT=     fffff80168958080 00000fff
CR0=80050031 CR2=ffffc00000ec6000 CR3=00000000001a7000 CR4=000006f8
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000000000d01
FCW=027f FSW=3800 [ST=7] FTW=80 MXCSR=00001f80
FPR0=9fc0000000000000 4008 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000006b900001cf1abf22c486cf XMM01=000000000000002000000000006b8200
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
XMM08=00000000000000000000000000000000 XMM09=00000000000000000000000000000000
XMM10=00000000000000000000000000000000 XMM11=00000000000000000000000000000000
XMM12=00000000000000000000000000000000 XMM13=00000000000000000000000000000000
XMM14=00000000000000000000000000000000 XMM15=00000000000000000000000000000000

after stuck
(qemu) info registers 
RAX=0000000000000000 RBX=0000000000000000 RCX=0000000000000082 RDX=0000014000000000
RSI=0000000000000000 RDI=fffff80398f75180 RBP=fffff8039c0d6d50 RSP=fffff8039c0d6c48
R8 =fffff8039c0d6c50 R9 =0000000000000000 R10=fffff80398f77f80 R11=fffff8039c0d6d98
R12=0000000000000000 R13=fffff80398c84000 R14=ffffe00000097040 R15=0000000000000000
RIP=fffff80398c311ff RFL=00000286 [--S--P-] CPL=0 II=0 A20=1 SMM=0 HLT=1
ES =002b 0000000000000000 ffffffff 00c0f300 DPL=3 DS   [-WA]
CS =0010 0000000000000000 00000000 00209b00 DPL=0 CS64 [-RA]
SS =0018 0000000000000000 ffffffff 00c09300 DPL=0 DS   [-WA]
DS =002b 0000000000000000 ffffffff 00c0f300 DPL=3 DS   [-WA]
FS =0053 0000000000000000 00003c00 0040f300 DPL=3 DS   [-WA]
GS =002b fffff80398f75000 ffffffff 00c0f300 DPL=3 DS   [-WA]
LDT=0000 0000000000000000 ffffffff 00000000
TR =0040 fffff8039c0cf080 00000067 00008b00 DPL=0 TSS64-busy
GDT=     fffff8039c0ce000 0000007f
IDT=     fffff8039c0ce080 00000fff
CR0=80050031 CR2=fffff800032c0838 CR3=00000000001a7000 CR4=000006f8
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000000000d01
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
XMM08=00000000000000000000000000000000 XMM09=00000000000000000000000000000000
XMM10=00000000000000000000000000000000 XMM11=00000000000000000000000000000000
XMM12=00000000000000000000000000000000 XMM13=00000000000000000000000000000000
XMM14=00000000000000000000000000000000 XMM15=00000000000000000000000000000000

Comment 1 ShupingCui 2014-01-26 02:54:33 UTC
Created attachment 855591 [details]
debug file

virtio-win-prewhql-0.1-74

Comment 3 ShupingCui 2014-01-26 04:16:25 UTC
win2012r2 guest can install successfully on this host, not reproduce this issue with qemu-kvm-1.5.3-41.el7.x86_64

host cpu info:

processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) 64 X2 Dual Core Processor 5600+
stepping	: 2
cpu MHz		: 1000.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good nopl extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch lbrv
bogomips	: 2004.18
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

[root@amd-5600-4-1 ~]#

Comment 4 xhan 2014-02-11 09:17:21 UTC
hit this bug on qemu-kvm-1.5.3-45.el7.x86_64

Win2012r2.x86_64.unattended_install CML is the same.

virtio-win-prewhql-0.1-74


cpu info: 

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9400  @ 2.66GHz
stepping	: 10
microcode	: 0xa0b
cpu MHz		: 2000.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 5319.82
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

Comment 5 Paolo Bonzini 2014-02-19 17:31:53 UTC
I've been installing win2012r2 all day.  Even though I have stopped some installs because I thought it had crashed, right now it seems to me that it is just being slow on reboot.  I'll be running this autotest job overnight:

    include backends/qemu/cfg/tests-shared.cfg

    qemu_binary = /usr/libexec/qemu-kvm

    qemu_img_binary = /usr/bin/qemu-img
    qemu_io_binary = /usr/bin/qemu-io
    mem = 2048

    only qcow2
    only smp2
    only no_9p_export
    only no_pci_assignable
    only filesystem
    only smallpages
    only i440fx

    no aio_threads

    only Win2012.x86_64.r2
    only unattended_install
    only default_install
    only cdrom
    only floppy_ks
    only ide, virtio_scsi
    only rtl8139, virtio_net
    cpu_model_flags += ",+kvm_pv_unhalt,hv_relaxed,hv_spinlocks=0x1fff,hv_vapic"

    variants:
        - Penryn:
           cpu_model = "Penryn"
#       - SandyBridge:
#          cpu_model = "SandyBridge"

    variants:
        - nosound:
        - hda:
            soundcards = "hda"

    variants:
        - uhci:
            usb_type_usbtest = piix3-usb-uhci
            usb_controller_testdev = uhci
        - xhci:
            usb_type_usbtest = nec-usb-xhci
            usb_controller_testdev = xhci

Let's see what happens.  In any case, if the ide/rtl8139 variants pass, I'll reassign to virtio-win.

Comment 6 Paolo Bonzini 2014-02-20 14:21:09 UTC
Test passed.

Comment 9 Paolo Bonzini 2014-03-05 13:23:54 UTC
Ok, but I need access to the machine in order to work on it.

Comment 12 Paolo Bonzini 2014-05-12 13:28:56 UTC
Cong Li, I must have missed comment 10.  Please ping me when a reproduction machine becomes available again.  Thanks!

Comment 15 Paolo Bonzini 2014-05-21 11:33:31 UTC
I cannot reproduce it here either.  I'll try again on my computer, with unrestricted_guest=0 to emulate Q95xx.

Comment 16 Paolo Bonzini 2014-07-11 13:07:03 UTC
Could be the same as RHEL6 bug 1065212.


Note You need to log in before you can comment on or make changes to this bug.